System Requirements

In order to run StockMarketEye, your system must meet the following minimum requirements.

  • Microsoft Windows - Windows 10, Windows 8, Windows 7
  • Mac OS X - 10.11 El Capitan, 10.10 Yosemite, 10.9 Mavericks, 10.8 Mountain Lion, 10.7 Lion
  • Linux - x86_64, x86

  • 100MB hard disk space

If you have any questions concerning the system requirements or are interested in versions for other operating systems, please contact our support team.

Try it for Free!

Try our software, free, for 30-days. No credit-card or email required.
Just download, install and run.

Get StockMarketEye Try it for free!
Available for:  Investment Management Software for Windows 10 / 8 / 7 / Vista      Investment Management Software for Mac OS X      Investment Management Software for Linux      Investment Management Software for iOS Investment Management Software for Android